import React, { useEffect } from 'react';
import { useAuth } from './AuthContext';
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
const ProtectedRoute = _ref => {
  let {
    children,
    loader
  } = _ref;
  const {
    getUser,
    setUser,
    login,
    user
  } = useAuth();
  const fetchUser = async () => {
    try {
      const response = await getUser();
      console.log({
        response
      });
      if (response) {
        const obj = {};
        response.data.forEach(x => {
          obj[x?.type] = x?.value;
        });
        setUser(obj);
      } else {
        login();
      }
    } catch (error) {
      login();
    }
  };
  useEffect(() => {
    fetchUser();
  }, []);
  return /*#__PURE__*/_jsx(_Fragment, {
    children: !user ? loader ? loader : /*#__PURE__*/_jsx("h1", {
      children: "Please wait ..."
    }) : /*#__PURE__*/_jsx(_Fragment, {
      children: children
    })
  });
};
export default ProtectedRoute;