import { useQuery } from '@tanstack/react-query';
import { axiosInstance } from '../config';
const useGet = function (queryKey, queryUrl) {
  let options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {
    enabled: true
  };
  const queryFn = async () => {
    const response = await axiosInstance.get(queryUrl);
    if (!response) {
      throw new Error("No response received.");
    }
    return response.data;
  };
  return useQuery({
    queryKey,
    queryFn,
    refetchOnMount: false,
    refetchOnWindowFocus: false,
    retry: 0,
    networkMode: "always",
    ...options
  });
};
export default useGet;