import React, { useEffect } from 'react'
import { useAuth } from './AuthContext'


const ProtectedRoute = ({ children, loader }) => {

  const { getUser, setUser, login, user } = useAuth()

  const fetchUser = async () => {

    try {
      const response = await getUser()
      console.log({ response })

      if (response) {

        const obj = {}
        response.data.forEach(x => {
          obj[x?.type] = x?.value
        })

        setUser(obj)
      } else {
        login()
      }


    } catch (error) {
      login()
    }

  }

  useEffect(() => {
    fetchUser()
  }, [])

  return (
    <>
      {

        !user
          ? (loader ? loader : <h1>Please wait ...</h1>)
          : <>{children}</>

      }
    </>
  )
}
export default ProtectedRoute