import { useQuery } from '@tanstack/react-query';
import { axiosInstance } from '../config';

const useGet = (queryKey, queryUrl, options = { enabled: true }) => {
  const queryFn = async () => {
    const response = await axiosInstance.get(queryUrl);
    
    if (!response) {
      throw new Error("No response received.");
    }
    return response.data;
  };

  return useQuery({
    queryKey,
    queryFn,
    refetchOnMount: false,
    refetchOnWindowFocus: false,
    retry: 0,
    networkMode: "always",
    ...options,
  });
};

export default useGet;
